Subject: RE: [SIP] Overlap dialing within a SIP network

From: "Tom-PT Taylor" <[email-masked]>
Date: Sat, 10 Mar 2001 20:40:25 -0500

The issue has to be analyzed on the basis of network resource consumption
(number of messages required), whether call setup times will be acceptable
if an arbitrary delay is introduced at the ingress gateway to ensure all the
digits have been collected, and probability that the ingress gateway didn't
have all the digits after all.  Remember a point Mark made quite a while
ago: it can happen that the SIP network does not know the complete dialling
plan and only the destination switch knows it.

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Friday, February 23, 2001 7:52 AM
> To: [email-masked]
> Cc: Roy, Radhika R, ALCOO; Keith Robinson; Christer Holmberg;
> [email-masked]; Watson, Mark [MAIFP:EP11-M:EXCH];
> [email-masked]; Taylor, Tom-PT [NORSE:B881:EXCH]
> Subject: Re: [SIP] Overlap dialing within a SIP network
> 
> 
> Hello,
> 
> I am going to put together a presentation for the next IETF. There we
> will choose between a proposed solution for supporting 
> overlap or doing
> en-bloc (regular SIP) all the time.
> 
> This way we will be able to progress and move on.
> 
> See you guys in Minneapolis,
> 
> Gonzalo
> 
> "Brian F. G. Bidulock" wrote:
> > 
> > Gonzalo,
> > 
> > Perhaps those which spoke up at the DC IETF who were requesting
> > that overlap dialing be supported could indicate why there is
> > a need for overlap dialing.  I know of no need for overlap dialing
> > and an explanation of need has not been forthcoming.
> > 
> > Perhaps the WG chair can ask for any objections to your original
> > proposal to mandate en-bloc to see if any rational objections
> > exist.
> > 
> > --Brian
> > 
> > Gonzalo Camarillo wrote:               (Fri, 23 Feb 2001 00:44:01)
> > > Hello,
> > >
> > > > I agree with Keith that we should mandate en-block due 
> to the following
> > > > benefits:
> > >
> > > That's what I proposed in the DC IETF (long time ago), and folks
> > > insisted that overlap dialing had to be supported...
> > >
> > > Gonzalo
> > > --
> > > Gonzalo Camarillo                    Phone :   +1 212 939 71 71
> > > Columbia University                  Mobile:  +358 40 702 35 35
> > > 472 Computer Science Building        Fax   :  +358  9 299 30 52
> > > 1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
> > > New York, NY 10027
> > > USA                              [email-masked]
> > >
> > > _______________________________________________
> > > This list is for continuing development of the SIP protocol.
> > > The sip-implementor's list is the place to discuss implementation,
> > > and to receive advice on understanding existing sip.
> > > To subscribe to it, send mail to
> > > [email-masked] with "subscribe" 
> in the body.
> > 
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/
> 
> -- 
> Gonzalo Camarillo                    Phone :   +1 212 939 71 71
> Columbia University                  Mobile:  +358 40 702 35 35
> 472 Computer Science Building        Fax   :  +358  9 299 30 52
> 1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
> New York, NY 10027                   
> USA                              [email-masked]
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 11 Mar 2001 04:20:37 -0600

Tom-PT,

So what are you going to use to resolve the partial digits?
ENUM? (I don't think so...)

--Brian

Tom-PT Taylor wrote:                          (Sat, 10 Mar 2001 20:40:25)
> 
>    The issue has to be analyzed on the basis of network resource
>    consumption (number of messages required), whether call setup times
>    will be acceptable if an arbitrary delay is introduced at the ingress
>    gateway to ensure all the digits have been collected, and probability
>    that the ingress gateway didn't have all the digits after all.
>    Remember a point Mark made quite a while ago: it can happen that the
>    SIP network does not know the complete dialling plan and only the
>    destination switch knows it.
>    

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

[email-masked] with "subscribe" in the body.

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Sun, 11 Mar 2001 14:46:49 -0500

> ENUM? (I don't think so...)

At least in some cases, this might actually work, if you're willing to
do a prefix search. For example, for the German case of variable-length
numbers within the same town (06151 / 16-0 or 06151 / 16-5489 for
TU-Darmstadt, for example), you could indeed try which prefix matched.
Presumably, TU-Darmstadt would enter 06151-16 in ENUM, as well as
entries for the real numbers (with one or four additional digits).

As countries move to fixed-length dialing, maybe enum is the appropriate
mechanism of conveying the exceptions, so that we can put the overlap
dialing case to rest. Maybe there's a business opportunity here for
someone to provide such a database...

However, TRIP is probably the more appropriate answer here, since it
deals with prefixes as a matter of course.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs